Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1893375 - touchpad forgets all settings when reconnecting
Summary: touchpad forgets all settings when reconnecting
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mutter
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Florian Müllner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-30 22:26 UTC by Adam Goode
Modified: 2020-11-19 01:29 UTC (History)
6 users (show)

Fixed In Version: mutter-3.38.1-2.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-19 01:29:21 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
GNOME Gitlab GNOME mutter issues 1505 0 None None None 2020-11-04 22:53:35 UTC

Description Adam Goode 2020-10-30 22:26:45 UTC
Description of problem:

On bootup, my USB touchpad correctly remembers my settings (scroll direction, tap-to-click, acceleration). But if I disconnect/reconnect the device, these settings are reset to the defaults. The control panel still shows the desired settings. I need to manually toggle each one to restore the correct behavior.


Version-Release number of selected component (if applicable):

gnome-shell-3.38.1-2.fc33.x86_64


How reproducible:

Always


Steps to Reproduce:
1. Log into gnome
2. Test touchpad
3. Unplug/replug touchpad
4. Test touchpad

Actual results:

Touchpad forgets settings

Expected results:

Touchpad remembers settings, as it did in Fedora 32


Additional info:

Some journal entries:

Oct 30 18:20:32 lincoln5 kernel: usb 3-1.1.2.2: USB disconnect, device number 17
Oct 30 18:20:32 lincoln5 /usr/libexec/gdm-x-session[2078]: (II) config/udev: removing device Apple Inc. Magic Trackpad 2
Oct 30 18:20:32 lincoln5 /usr/libexec/gdm-x-session[2078]: (**) Option "fd" "35"
Oct 30 18:20:32 lincoln5 /usr/libexec/gdm-x-session[2078]: (II) event6  - Apple Inc. Magic Trackpad 2: device removed
Oct 30 18:20:32 lincoln5 /usr/libexec/gdm-x-session[2078]: (II) UnloadModule: "libinput"
Oct 30 18:20:32 lincoln5 /usr/libexec/gdm-x-session[2078]: (II) systemd-logind: releasing fd for 13:70
...
Oct 30 18:20:34 lincoln5 kernel: usb 3-1.1.2.2: new full-speed USB device number 19 using xhci_hcd
Oct 30 18:20:34 lincoln5 kernel: usb 3-1.1.2.2: New USB device found, idVendor=05ac, idProduct=0265, bcdDevice= 8.50
Oct 30 18:20:34 lincoln5 kernel: usb 3-1.1.2.2: New USB device strings: Mfr=1, Product=2, SerialNumber=3
Oct 30 18:20:34 lincoln5 kernel: usb 3-1.1.2.2: Product: Magic Trackpad 2
Oct 30 18:20:34 lincoln5 kernel: usb 3-1.1.2.2: Manufacturer: Apple Inc.
Oct 30 18:20:34 lincoln5 kernel: usb 3-1.1.2.2: SerialNumber: CC2023200U8J17LAR
Oct 30 18:20:34 lincoln5 kernel: input: Apple Inc. Magic Trackpad 2 as /devices/pci0000:00/0000:00:14.0/usb3/3-1/3-1.1/3-1.1.2/3-1.1.2.2/3-1.1.2.2:1.1/0003:05AC:0265.0018/input/input36
Oct 30 18:20:34 lincoln5 kernel: magicmouse 0003:05AC:0265.0018: input,hiddev99,hidraw6: USB HID v1.10 Mouse [Apple Inc. Magic Trackpad 2] on usb-0000:00:14.0-1.1.2.2/input1
Oct 30 18:20:34 lincoln5 kernel: input: Apple Inc. Magic Trackpad 2 as /devices/pci0000:00/0000:00:14.0/usb3/3-1/3-1.1/3-1.1.2/3-1.1.2.2/3-1.1.2.2:1.1/0003:05AC:0265.001C/input/input37
Oct 30 18:20:34 lincoln5 kernel: magicmouse 0003:05AC:0265.001C: input,hiddev99,hidraw6: USB HID v1.10 Mouse [Apple Inc. Magic Trackpad 2] on usb-0000:00:14.0-1.1.2.2/input1
Oct 30 18:20:34 lincoln5 /usr/libexec/gdm-x-session[2078]: (II) config/udev: Adding input device Apple Inc. Magic Trackpad 2 (/dev/input/mouse2)
Oct 30 18:20:34 lincoln5 /usr/libexec/gdm-x-session[2078]: (II) No input driver specified, ignoring this device.
Oct 30 18:20:34 lincoln5 /usr/libexec/gdm-x-session[2078]: (II) This device may have been added with another device file.
Oct 30 18:20:34 lincoln5 /usr/libexec/gdm-x-session[2078]: (II) config/udev: Adding input device Apple Inc. Magic Trackpad 2 (/dev/input/event6)
Oct 30 18:20:34 lincoln5 /usr/libexec/gdm-x-session[2078]: (**) Apple Inc. Magic Trackpad 2: Applying InputClass "evdev touchpad catchall"
Oct 30 18:20:34 lincoln5 /usr/libexec/gdm-x-session[2078]: (**) Apple Inc. Magic Trackpad 2: Applying InputClass "libinput touchpad catchall"
Oct 30 18:20:34 lincoln5 /usr/libexec/gdm-x-session[2078]: (II) Using input driver 'libinput' for 'Apple Inc. Magic Trackpad 2'
Oct 30 18:20:34 lincoln5 /usr/libexec/gdm-x-session[2078]: (II) systemd-logind: got fd for /dev/input/event6 13:70 fd 72 paused 0
Oct 30 18:20:34 lincoln5 /usr/libexec/gdm-x-session[2078]: (**) Apple Inc. Magic Trackpad 2: always reports core events
Oct 30 18:20:34 lincoln5 /usr/libexec/gdm-x-session[2078]: (**) Option "Device" "/dev/input/event6"
Oct 30 18:20:34 lincoln5 /usr/libexec/gdm-x-session[2078]: (**) Option "_source" "server/udev"
Oct 30 18:20:34 lincoln5 /usr/libexec/gdm-x-session[2078]: (II) event6  - Apple Inc. Magic Trackpad 2: is tagged by udev as: Touchpad
Oct 30 18:20:34 lincoln5 /usr/libexec/gdm-x-session[2078]: (II) event6  - Apple Inc. Magic Trackpad 2: device is a touchpad
Oct 30 18:20:34 lincoln5 /usr/libexec/gdm-x-session[2078]: (II) event6  - Apple Inc. Magic Trackpad 2: device removed
Oct 30 18:20:34 lincoln5 /usr/libexec/gdm-x-session[2078]: (**) Option "config_info" "udev:/sys/devices/pci0000:00/0000:00:14.0/usb3/3-1/3-1.1/3-1.1.2/3-1.1.2.2/3-1.1.2.2:1.1/0003:05AC:0265.001C/input/input37/event6"
Oct 30 18:20:34 lincoln5 /usr/libexec/gdm-x-session[2078]: (II) XINPUT: Adding extended input device "Apple Inc. Magic Trackpad 2" (type: TOUCHPAD, id 10)
Oct 30 18:20:34 lincoln5 /usr/libexec/gdm-x-session[2078]: (**) Option "AccelerationScheme" "none"
Oct 30 18:20:34 lincoln5 /usr/libexec/gdm-x-session[2078]: (**) Apple Inc. Magic Trackpad 2: (accel) selected scheme none/0
Oct 30 18:20:34 lincoln5 /usr/libexec/gdm-x-session[2078]: (**) Apple Inc. Magic Trackpad 2: (accel) acceleration factor: 2.000
Oct 30 18:20:34 lincoln5 /usr/libexec/gdm-x-session[2078]: (**) Apple Inc. Magic Trackpad 2: (accel) acceleration threshold: 4
Oct 30 18:20:34 lincoln5 /usr/libexec/gdm-x-session[2078]: (II) event6  - Apple Inc. Magic Trackpad 2: is tagged by udev as: Touchpad
Oct 30 18:20:34 lincoln5 /usr/libexec/gdm-x-session[2078]: (II) event6  - Apple Inc. Magic Trackpad 2: device is a touchpad

Comment 1 Fedora Update System 2020-11-17 14:04:17 UTC
FEDORA-2020-543204d787 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-543204d787

Comment 2 Fedora Update System 2020-11-18 01:08:40 UTC
FEDORA-2020-543204d787 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-543204d787`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-543204d787

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 3 Fedora Update System 2020-11-19 01:29:21 UTC
FEDORA-2020-543204d787 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.